Subject: bug#57253: closed (Re: [bug#57253] [PATCH 2/2] gnu: Add keychain.)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 22 Sep 2022 08:02:02 +0000

Your bug report

#57253: [PATCH] gnu: Add keychain.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
57253: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=57253
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#57253] [PATCH 2/2] gnu: Add keychain.
From: Björn Höfling <[email-masked]>
To: Denis 'GNUtoo' Carikli <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Thu, 22 Sep 2022 10:00:57 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

On Wed, 21 Sep 2022 23:52:54 +0200
Denis 'GNUtoo' Carikli <[email-masked]> wrote:

> The reason might be related to the fact that I sent two unrelated
> patches in the same serie (I'm unsure how best to send unrelated
> patches).

OK. I reviewed it and pushed under

da3bbcc9916b08324e7b85f5b9c528b4696c39d4

with some slight changes:

diff --git a/gnu/packages/crypto.scm b/gnu/packages/crypto.scm
index 3553415ad5..074fa5bf31 100644
--- a/gnu/packages/crypto.scm
+++ b/gnu/packages/crypto.scm
@@ -47,7 +47,6 @@ (define-module (gnu packages crypto)
   #:use-module (gnu packages aidc)
   #:use-module (gnu packages attr)
   #:use-module (gnu packages autotools)
-  #:use-module (gnu packages bash)
   #:use-module (gnu packages boost)
   #:use-module (gnu packages check)
   #:use-module (gnu packages compression)
@@ -1716,9 +1715,9 @@ (define-public keychain
                (base32
                 "1bkjlg0a2bbdjhwp37ci1rwikvrl4s3xlbf2jq2z4azc96dr83mj"))))
     (build-system gnu-build-system)
-    (native-inputs (list bash))
+    (propagated-inputs (list procps))
     (arguments
-     `(#:tests? #f
+     `(#:tests? #f ; No test suite
        #:phases (modify-phases %standard-phases
                   (delete 'configure)
                   (replace 'install

* There is no need to use/import bash
* ps is required to find the agent, so I propagated procps
* Tests disabled because there are none. Commented about that fact.

Thanks,

Björn

Subject: [PATCH 1/2] gnu: greybird-gtk-theme: Build with librsvg-for-system.
From: Denis 'GNUtoo' Carikli <[email-masked]>
To: [email-masked]
Cc: Denis 'GNUtoo' Carikli <[email-masked]>
Date: Wed, 17 Aug 2022 01:46:01 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

* gnu/packages/gnome-xyz.scm (greybird-gtk-theme)[inputs]:
  Replace librsvg with librsvg-for-system.
---
 gnu/packages/gnome-xyz.scm | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/gnome-xyz.scm b/gnu/packages/gnome-xyz.scm
index c37ae27cc5..beab5429bf 100644
--- a/gnu/packages/gnome-xyz.scm
+++ b/gnu/packages/gnome-xyz.scm
@@ -18,6 +18,7 @@
 ;;; Copyright © 2021 Charles Jackson <[email-masked]>
 ;;; Copyright © 2022 Eric Bavier <[email-masked]>
 ;;; Copyright © 2022 Sughosha <[email-masked]>
+;;; Copyright © 2022 Denis 'GNUtoo' Carikli <[email-masked]>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -1137,7 +1138,7 @@ (define-public greybird-gtk-theme
     (native-inputs
      (list gtk+
            `(,glib "bin") ; for "glib-compile-resources"
-           librsvg
+           (librsvg-for-system)
            pkg-config
            ruby-sass
            sassc))

base-commit: 8aab1f7c73c3a6e204b1257e687120c009c88604
-- 
2.37.1